#include <stdio.h>

int main(){
    int N,L,i,ii=-1;
    scanf("%d",&N);
    scanf("%d",&L);
    int H[N];
    
    for(i=0;i<N;i++){
        scanf("%d",&H[i]);
        if(H[i]<=L&&ii==-1){
            ii = i;
        }
    }

    if(ii == -1)
        printf("-1");
    else
        printf("%d",ii+1);

    return 0;
}